const { request } = require('../../../api/request')

const mockData = {
  'product_img_url': [
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi632322ffe57fa.jpg',
      'formkey': 'product_rotation_img_list'
    }
  ], // 商品主图
  'product_rotation_img_list': [
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi632322ffe57fa.jpg',
      'formkey': 'product_rotation_img_list'
    },
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi632322ffe51c4.jpg',
      'formkey': 'product_rotation_img_list'
    },
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi632322ffefa54.jpg',
      'formkey': 'product_rotation_img_list'
    },
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi6323230067e26.png',
      'formkey': 'product_rotation_img_list'
    }
  ], // 商品轮播图
  'product_detail_img_list': [
    {
      'url': 'https://tuotuoyinfu-oss.oss-cn-beijing.aliyuncs.com/images/user/bashi632322ffe57fa.jpg',
      'formkey': 'product_rotation_img_list'
    }
  ], // 详情图
  'product_title': '商品标题', // 商品标题
  'product_desc': '商品简介', // 商品简介
  'product_category_id': {
    'category_name': '',
    'id': '1'
  }, // 分类ID
  'product_brand_id': {
    'brand_name': '',
    'id': '1'
  }, // 品牌ID
  'product_spec': '10个没件', // 规格
  'product_unit': '个', // 单位
  'product_all_price': '100', // 批发价
  'product_price': '88', // 零售价
  'product_count': '100', // 库存
  'product_sale_at': '预售' // 预售时间(0代表预售)
}
/**
 * 商品添加
 * @param obj
 * @returns {Promise<*>}
 */
export const postAddProduct = (obj) => request({
  url: '/api/shop/product/add',
  method: 'POST',
  data: {
    ...obj
  },
  showLoading: true
})

/**
 * 商品编辑
 * @param obj
 * @returns {Promise<*>}
 */
export const postModifyProduct = (obj) => request({
  url: '/api/shop/product/modify',
  method: 'POST',
  data: {
    ...obj
  },
  showLoading: true
})

/**
 * 商品详情
 * @param id 商品ID
 * @returns {Promise<*>}
 */
export const getProductDetail = (id) => request({
  url: '/api/shop/product/detail',
  method: 'POST',
  data: {
    id: id
  },
  showLoading: true
})
