const { request } = require('../../../api/request')
/**
 * 商品列表
 * @param obj
 * @returns {Promise}
 */
export const getProductList = (obj) => request({
  url: '/api/shop/product/list',
  method: 'POST',
  data: {
    'page': obj.pageNum,
    'page_size': obj.pageSize,
    'type': obj.type // 订单状态
  },
  showLoading: true
})
/**
 * 商品删除
 * @param id
 * @returns {Promise | Promise<unknown>}
 */
export const postProductDelete = (id) => request({
  url: '/api/shop/product/delete',
  method: 'POST',
  data: {
    id
  },
  showLoading: true
})
